ADT Plugin for Exlipse installation fails

2270 views
Skip to first unread message

Stefano

unread,
Dec 5, 2009, 11:53:16 PM12/5/09
to Android Developers
I just resucitated an old laptop, wiped out the old corrupted XP,
installed Ubuntu 9.1, installed Eclipse 3.5.1, installed the sun-java6-
jdk from the Synaptic Manager, then I tried to install the ADT as
described in http://developer.android.com/sdk/eclipse-adt.html, but
the installation fails with the following message:

Cannot complete the install because one or more required items could
not be found.
Software being installed: Android Development Tools
0.9.5.v200911191123-20404 (com.android.ide.eclipse.adt.feature.group
0.9.5.v200911191123-20404)
Missing requirement: Android Development Tools
0.9.5.v200911191123-20404 (com.android.ide.eclipse.adt.feature.group
0.9.5.v200911191123-20404) requires 'org.eclipse.wst.xml.ui 0.0.0' but
it could not be found

I found another similar message without solution.
Anybody out there can help me getting started?

Thanks,
Stefano

Mikael

unread,
Dec 7, 2009, 5:55:56 AM12/7/09
to Android Developers
Hi,

I had the same problem and I've solved it by reading this quote :

http://www.mail-archive.com/android-d...@googlegroups.com/msg69804.html

"Go to "Help/Install New Software..."

Add http://download.eclipse.org/releases/galileo/ to the update sites
list (strange it's not installed by default on ubuntu)

>From there, install WST (use the filter box to find the package)

Restart eclipse

Go back to "Help/Install New Software..." and install the Android ADT
as explained on the android website.

--
Vineus"


(thanks Vineus)

I hope it can help you,

Regards

On 6 déc, 05:53, Stefano <stefano.me...@gmail.com> wrote:
> I just resucitated an old laptop, wiped out the old corrupted XP,
> installed Ubuntu 9.1, installed Eclipse 3.5.1, installed the sun-java6-
> jdk from the Synaptic Manager, then I tried to install the ADT as
> described inhttp://developer.android.com/sdk/eclipse-adt.html, but

Manimal

unread,
Jan 5, 2010, 12:59:10 PM1/5/10
to Android Developers
I added "http://download.eclipse.org/releases/galileo/' so the list of
updates sites and i get "No repository found at http://download.eclipse.org/releases/galileo."

I'm also not able to install the ADT.

On Dec 7 2009, 5:55 am, Mikael <mikaelmoha...@gmail.com> wrote:
> Hi,
>
> I had the same problem and I've solved it by reading this quote :
>

> http://www.mail-archive.com/android-d...@googlegroups.com/msg69...


>
> "Go to "Help/Install New Software..."
>

> Addhttp://download.eclipse.org/releases/galileo/to the update sites

Mike Butler

unread,
Jan 8, 2010, 3:57:38 AM1/8/10
to Android Developers
I've also had these exact same problems.

It's also taking a very long time (10 minutes) for eclipse to download
1.6MB to figure out if it needs to update, even via the "check
connection" button.

On Jan 5, 9:59 am, Manimal <scire...@gmail.com> wrote:
> I added "http://download.eclipse.org/releases/galileo/'so the list of

> updates sites and i get "No repository found athttp://download.eclipse.org/releases/galileo."


>
> I'm also not able to install the ADT.
>
> On Dec 7 2009, 5:55 am, Mikael <mikaelmoha...@gmail.com> wrote:
>
> > Hi,
>
> > I had the same problem and I've solved it by reading this quote :
>
> >http://www.mail-archive.com/android-d...@googlegroups.com/msg69...
>
> > "Go to "Help/Install New Software..."
>

> > Addhttp://download.eclipse.org/releases/galileo/tothe update sites

JBao

unread,
Jan 9, 2010, 10:28:58 PM1/9/10
to Android Developers
I erased the folders of workspace and .eclipse.
rm -rf .eclipse/
rm -rf workspace/
Restart the eclipse, installed WST as described above, and then the
ADT can also be installed.

Regards.
Jason

Reply all
Reply to author
Forward
0 new messages